Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005520 [JEDI VCL] 00 JVCL Components minor have not tried 2011-03-24 14:46 2012-09-10 14:15
Reporter Zugg View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005520: TJvXpBar :Header title paint over rollup image and rollup image larger than 25
Description Hello,

In source (version 3.39), code I see this hard coded line witch decrement drawing text rect by 25 (default width size of rollup image):
line 2130:
  Dec(R.Right, 25);
and line 2170: drawing header caption
DrawText(ACanvas, Caption, -1, ARect, DT_SINGLELINE or DT_LEFT or DT_VCENTER or DT_END_ELLIPSIS or DT_NOPREFIX);

If we have a very long header title (larger thant the component), the header caption will be paint over the rollup image.
And same problem if we have larger rollup images.

I think there is a bug while calculating header caption rectangle drawing.

Thanks for watching this issue

Best regards

Additional Information
Tags No tags attached.
Attached Files zip file icon TXpBar_Sample.zip [^] (7,119 bytes) 2011-07-15 16:08

- Relationships

-  Notes
(0018610)
obones (administrator)
2011-06-07 17:46

Please provide the zipped sources of a sample application showing this
(0018825)
Zugg (reporter)
2011-07-15 16:09

Please find attached a sample application showing this abnormal behaviour.
(0019507)
obones (administrator)
2012-02-23 11:39

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2011-03-24 14:46 Zugg New Issue
2011-06-07 17:46 obones Note Added: 0018610
2011-06-07 17:46 obones Status new => feedback
2011-07-15 16:08 Zugg File Added: TXpBar_Sample.zip
2011-07-15 16:09 Zugg Note Added: 0018825
2011-09-21 14:14 obones Status feedback => acknowledged
2012-02-23 11:39 obones Note Added: 0019507
2012-02-23 11:39 obones Status acknowledged => resolved
2012-02-23 11:39 obones Fixed in Version => Daily / SVN
2012-02-23 11:39 obones Resolution open => fixed
2012-02-23 11:39 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker